corda / net.corda.core.contracts.clauses / AllComposition

# AllComposition

`class AllComposition<S : ContractState, C : CommandData, K : Any> : AllOf<S, C, K>`
Deprecated: Use AllOf

Compose a number of clauses, such that all of the clauses must run for verification to pass.

### Constructors

<init> | `AllComposition(firstClause: Clause<S, C, K>, vararg remainingClauses: Clause<S, C, K>)` Compose a number of clauses, such that all of the clauses must run for verification to pass.

### Inherited Properties

clauses | `open val clauses: ArrayList<Clause<S, C, K>>` List of clauses under this composite clause

### Inherited Functions

toString | `open fun toString(): String`

### Extension Functions

matches | `fun <C : CommandData> Clause<*, C, *>.matches(commands: List<AuthenticatedObject<C>>): Boolean` Determine if the given list of commands matches the required commands for a clause to trigger.